package com.goafanti.common.model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * amb_payment_application
 * @author 
 */
public class AmbPaymentApplication implements Serializable {
    private Long id;

    /**
     * 类型 0=其他费用，1=内部结算，2=差旅（公对私报销），3=招待费，4=借款，5=工资奖金
     */
    private Integer type;

    /**
     * 金额
     */
    private BigDecimal totalAmount;

    /**
     * 发起阿米巴
     */
    private Long initiateAmbId;

    /**
     * 接受阿米巴
     */
    private Long acceptAmbId;

    /**
     * 内容及说明
     */
    private String content;

    /**
     * 内容及说明
     */
    private String remarks;

    /**
     * 附件地址
     */
    private String annexUrl;

    /**
     * 审核流程 0=发起，1=本巴主，2=付款巴主，3=付款事业部总，4=财务总监，5=集团副总，
     */
    private Integer processStatus;

    /**
     * 审核状态 0=审核，1=通过，2=拒绝
     */
    private Integer status;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private Date updateTime;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }

    public Long getInitiateAmbId() {
        return initiateAmbId;
    }

    public void setInitiateAmbId(Long initiateAmbId) {
        this.initiateAmbId = initiateAmbId;
    }

    public Long getAcceptAmbId() {
        return acceptAmbId;
    }

    public void setAcceptAmbId(Long acceptAmbId) {
        this.acceptAmbId = acceptAmbId;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getAnnexUrl() {
        return annexUrl;
    }

    public void setAnnexUrl(String annexUrl) {
        this.annexUrl = annexUrl;
    }

    public Integer getProcessStatus() {
        return processStatus;
    }

    public void setProcessStatus(Integer processStatus) {
        this.processStatus = processStatus;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}